
<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="generator" content="Docutils 0.19: https://docutils.sourceforge.io/" />

    <title>About &#8212; pyfuse3 3.4.0 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css" />
    <link rel="stylesheet" type="text/css" href="_static/classic.css" />
    
    <script data-url_root="./" id="documentation_options" src="_static/documentation_options.js"></script>
    <script src="_static/jquery.js"></script>
    <script src="_static/underscore.js"></script>
    <script src="_static/_sphinx_javascript_frameworks_compat.js"></script>
    <script src="_static/doctools.js"></script>
    <script src="_static/sphinx_highlight.js"></script>
    
    <link rel="author" title="About these documents" href="#" />
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="Installation" href="install.html" />
    <link rel="prev" title="pyfuse3 Documentation" href="index.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="install.html" title="Installation"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="index.html" title="pyfuse3 Documentation"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">pyfuse3 3.4.0 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">About</a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <section id="about">
<h1>About<a class="headerlink" href="#about" title="Permalink to this heading">¶</a></h1>
<p>pyfuse3 is a set of Python 3 bindings for <a class="reference external" href="http://github.com/libfuse/libfuse">libfuse 3</a>. It provides an
asynchronous API compatible with <a class="reference external" href="https://github.com/python-trio/trio">Trio</a> and <a class="reference external" href="https://docs.python.org/3/library/asyncio.html">asyncio</a>, and enables you
to easily write a full-featured Linux filesystem in Python.</p>
<p>pyfuse3 releases can be downloaded from <a class="reference external" href="https://pypi.python.org/pypi/pyfuse3/">PyPi</a>. The documentation
can be <a class="reference external" href="https://pyfuse3.readthedocs.io/">read online</a> and is also included in the <code class="docutils literal notranslate"><span class="pre">doc/html</span></code>
directory of the pyfuse3 tarball.</p>
<section id="getting-help">
<h2>Getting Help<a class="headerlink" href="#getting-help" title="Permalink to this heading">¶</a></h2>
<p>Please report any bugs on the <a class="reference external" href="https://github.com/libfuse/pyfuse3/issues">issue tracker</a>. For discussion and
questions, please use the general <a class="reference external" href="https://lists.sourceforge.net/lists/listinfo/fuse-devel">FUSE mailing list</a>. A searchable
<a class="reference external" href="http://dir.gmane.org/gmane.comp.file-systems.fuse.devel">mailing list archive</a> is kindly provided by <a class="reference external" href="http://www.gmane.org/">Gmane</a>.</p>
</section>
<section id="development-status">
<h2>Development Status<a class="headerlink" href="#development-status" title="Permalink to this heading">¶</a></h2>
<p>pyfuse3 is in beta. Bugs are likely.</p>
<p>pyfuse3 uses semantic versioning. This means backwards incompatible
changes in the API will be reflected in an increase of the major
version number.</p>
</section>
<section id="contributing">
<h2>Contributing<a class="headerlink" href="#contributing" title="Permalink to this heading">¶</a></h2>
<p>The pyfuse3 source code is available on <a class="reference external" href="https://github.com/libfuse/pyfuse3">GitHub</a>.</p>
</section>
</section>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper"><h3><a href="index.html">Table Of Contents</a></h3>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">About</a></li>
<li class="toctree-l1"><a class="reference internal" href="install.html">Installation</a></li>
<li class="toctree-l1"><a class="reference internal" href="general.html">General Information</a></li>
<li class="toctree-l1"><a class="reference internal" href="asyncio.html">asyncio Support</a></li>
<li class="toctree-l1"><a class="reference internal" href="fuse_api.html">FUSE API Functions</a></li>
<li class="toctree-l1"><a class="reference internal" href="data.html">Data Structures</a></li>
<li class="toctree-l1"><a class="reference internal" href="operations.html">Request Handlers</a></li>
<li class="toctree-l1"><a class="reference internal" href="util.html">Utility Functions</a></li>
<li class="toctree-l1"><a class="reference internal" href="gotchas.html">Common Gotchas</a></li>
<li class="toctree-l1"><a class="reference internal" href="example.html">Example File Systems</a></li>
<li class="toctree-l1"><a class="reference internal" href="changes.html">Changelog</a></li>
</ul>

  <div>
    <h4>Previous topic</h4>
    <p class="topless"><a href="index.html"
                          title="previous chapter">pyfuse3 Documentation</a></p>
  </div>
  <div>
    <h4>Next topic</h4>
    <p class="topless"><a href="install.html"
                          title="next chapter">Installation</a></p>
  </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="install.html" title="Installation"
             >next</a> |</li>
        <li class="right" >
          <a href="index.html" title="pyfuse3 Documentation"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">pyfuse3 3.4.0 documentation</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href="">About</a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2010-2024, Nikolaus Rath.
      Created using <a href="https://www.sphinx-doc.org/">Sphinx</a> 5.3.0.
    </div>
  </body>
</html>